<id>
FAQ Plus
</id>

<version>
3.3
</version>

<mod info>
The original idea behind FAQ Plus, now incorporated into a rather more pretty and more powerful mod.

Features include:
=============
=> Seperate pages for all major topics- each page editable in HTML with all YaBB variables available!
=> <ul> format with internal in-page anchor links
=> Completely editable categories and contents sections
=> Auto-compliling indexes
=> GUI Question and Answer editing interface
	=> Popup answer view and live HTML preview of answer pages
=> Parses into your forum template 
=> Incorporates Forum Agreement as set in Admin panel. 
=> FAQ search engine with relevance scoring


Installation:
========
i => Apply this mod file using BoardMod or by hand.
ii => Upload edited Source files:
	Sources/SubList.pl
	Sources/Admin.pl
	english.lng
iii => Upload included FAQ file
	Sources/FAQ.pl
iv => Upload the faq file and it's contents into your vars directory
v => Upload the faq.txt file into your Variables directory
vi => Go to your forum admin centre, click on 'FAQ Settings' and calibrate it such that it is compatible with your boards behaviour and modifications
vii => Test extensively! Go to YaBB.cgi?action=faq to see how it will appear. Make a thread on your forum asking for future FAQ suggestions
iix => Go to your forum admin centre, then to preferences and settings, and set your help file URL to: YaBB.cgi?action=faq or similar
N.B: Similar to google, faq search takes out words such as 'and' 'if' etc. These words are defined at the top of FAQ.pl.
The forum search engine will not search the FAQ and vice-versa.

You may wish to change your 'Help' button to an FAQ button (or add a new one): Cae's button generator will enable you to do this:
http://www.buttongenerator.org

The files are included are very basic- covering questions about a basic yabb installation. Obviously the parts that people will be unsure
of are advanced mods- upload avatar etc. so it's important you add the info specific to your boards.

Included in the zip are some additions you may like to include if you have a modded board.

INTERNATIONAL USERS:
=================
Skip steps 4 and 5- these files are simply English FAQ files to get started with- which will need to be completely changed for translation.
Do use the supplied files as a guide.

Upgrade from previous versions
=======================
Backup for faq folder onto hard drive.
Delete FAQ.pl file
Remove the reference to faq in the sublist.
Install new version as above
Update your answer pages as above from your backed up faqs

========================
Some code nicked from AMS and YaBB.
</mod info>

<author>
Flicker
</author>

<homepage>
http://www.smile-jesuslovesyou.org/forum
</homepage>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=modsettings">$txt{'222'}</a><br>
</search for>

<add after>
        - <a href="$cgi;action=faqsettingsa">$faqtxt{'27'}</a><br>
</add after>

<edit file>
Sources/Load.pl
</edit file>

<search for>
1;
</search for>

<add before>
sub load_faqs {
fopen(FILE, "$vardir/faq.txt") || fatal_error("Could nae open file: faq.txt<br>The installation of FAQ Plus wasn't quite right!"); 
@faqindex = <FILE>; 
fclose(FILE); 
my $i = 0; 
foreach $line (@faqindex){  
 chomp $line;
 $line =~ s/\n//g;
 $line =~ s/\r//g;
 my ($tmpa, $tmpb, $tmpc) = split (/\|/, $line); 
 if ($tmpa eq "") {next;} 
$faqtitles{$tmpa} = $tmpb;
$tmpc =~ s/&&/\n/g;
&FromHTML($tmpc);
$tmpc =~ s~\$(\w+)~${"$1"}~g;
$faqcontents{$tmpa} = $tmpc;
 $i++;
push(@faqs,$tmpa); 
} 
}

</add before>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'faqsettingsa',"FAQ.pl&faqsettingsa",
'faqsettingsc',"FAQ.pl&faqsettingsc",
'faqsettingsa2',"FAQ.pl&faqsettingsa2",
'faqsettingsb',"FAQ.pl&faqsettingsb",
'faqsettingsb2',"FAQ.pl&faqsettingsb2",
'searchfaq',"FAQ.pl&searchfaq",
'faq',"FAQ.pl&FAQ",
</add after>

<edit file>
english.lng
</edit file>

<search for>
1;
</search for>

<add before>
$faqtxt{'1'} = "FAQ";
$faqtxt{'2'} = "Contents of this page";
$faqtxt{'3'} = qq~FAQ modded and written by Alex Howell || <a href="http://www.smile-jesuslovesyou.org/forum/" target="_blank">smile-jesuslovesyou.org</a>~;
                                          # Link to my site is optional
$faqtxt{'4'} = "Edit";
$faqtxt{'5'} = "And...";
$faqtxt{'6'} = "I don't think you've answered my question. Where can I ask for help?";
$faqtxt{'7'} = "You can ask for help by sending an Instant Message to the webmaster. He should get back to you within a week.\\nPress OK to go to your e-mail now.";
                                          # Inverted commas MUST be double escaped e.g. \\'hello\\' - This is a JS confirm, so \\n means new line.
$faqtxt{'8'} = "FAQ Index";
$faqtxt{'9'} = "About the site";
$faqtxt{'10'} = "About the forum";
$faqtxt{'11'} = "Match found!";
$faqtxt{'12'} = "We have found a match for your search string:";
$faqtxt{'13'} = "in the FAQ in this context:";
$faqtxt{'14'} = "In this section:";
$faqtxt{'15'} = "Score:";
$faqtxt{'16'} = "You searched the FAQ for";
$faqtxt{'17'} = "Please be advised that the word(s)";
$faqtxt{'18'} = "weren't searched for because they appear so often. Boolean operators such as 'and' are not enabled in this search engine.";
$faqtxt{'19'} = "Your search string contained too many generic words such as 'if' and 'a' for an effective search to be made. Please go back and try with something more specific.";
$faqtxt{'20'} = "Search";
$faqtxt{'21'} = "Find it!";
$faqtxt{'22'} = "Type a search string!";
$faqtxt{'23'} = "Sorry! We couldn't find a match with your entry. Please try again with something broader";
$faqtxt{'24'} = "These are all the search results. Your search returned";
$faqtxt{'25'} = "results. If these don't match what you're looking for, then please go back and try again with a different string.";
$faqtxt{'26'} = "By checking this, submitting form will delete FAQ section id, title contents list, AND the associated answers!\\nYou have been warned!";
                                          # Inverted commas MUST be DOUBLE escaped e.g. \\'hello\\' - This is a JS alert, so \\n means new line.
$faqtxt{'27'} = "Edit FAQ";
$faqtxt{'28'} = "Titles and contents";
$faqtxt{'29'} = "Answers";
$faqtxt{'30'} = qq~This is where you can edit the FAQ section to your hearts content!<br>From this section you can adapt your FAQ to suit your board and it's layout, behaviour and mods, using simple HTML skills.<br>
The FAQ section is split into sections; such as 'posting and polling.' Each section will constitue a page of the FAQ, so it's best not to make tehm too huge, top help users find what they are looking for, or too small, so users have to continually click to find what they want.
<br>
<li><b>ID</b> This is an ID by which identifies each section. It cannot be changed once it has been set up, but won't be seen by users anyway- it's like setting forum ID's when installing new YaBB forums. Must be numbers and letters only. <font color=red>Do NOT duplicate IDs</font>
<li><b>Title</b> Summarise the section, e.g. 'Posting and Polling' This can be changed at any time.
<li><b>Contents</b> This section will be parsed into the FAQ index, and will be printed at the top of each FAQ section- use it primarilly as a contents section with &lt;a href="#anchor"&gt; tags to help users, but you could also include short introductions to sections. Use $scripturl and any other variables here.
<li><b>View/edit Answers</b> Your FAQ answers are stored in txt files- one for each section. These files will constitue the main parts of your FAQ asnwers, and can use forum variables such as $boardname - refer to them as you would in perl files.
<li><b>Delete</b> This irrecovable action will delete the key to the section involved- and will also completely delete the answers txt file. Use with caution!<br>
<small><i>FAQ Plus V3 Mod by Flicker, code borrowed from YaBB and BHRA's AMS</i></small>~;
$faqtxt{'31'} = "FAQ ids can only contain numbers and letters, e.g. 'posting'! Go back and try again!";
$faqtxt{'32'} = "ID";
$faqtxt{'33'} = "Title";
$faqtxt{'34'} = "Contents";
$faqtxt{'35'} = "Edit FAQ Answers";
$faqtxt{'36'} = "Delete?";
$faqtxt{'37'} = qq~This is where you can edit your answers! Use whatever HTML you like in here, as well as forum variables: if you want to include a variable such as: '$mbname' (the value you set for your board's name in the Admin centre) then include \$\$\$mbname.<br>
Don't forget to update when you install new features or change the way the forum behaves!<br><br><b>N.B.</b> To restrict certain parts of the FAQ to different membergroups, use FAQ whispers: wrap the questions and/or answers in the following tag:<br>[whisper=memgroup]Help details which applies only to the states member group[/whisper]~;
$faqtxt{'38'} = "Please go back to the FAQ CP and try to edit the answer page again- id was not found. If this problem persists, reinstall FAQ Plus";
$faqtxt{'39'} = "Forum User Agreement";
$faqtxt{'40'} = "View";
$faqtxt{'41'} = "Edit this answer page";
$faqtxt{'42'} = "The parent window will not be moved to the edit page- you will loose any changes you made to titles/contents since last submit.\\nOK?";
                                          # Inverted commas MUST be double escaped e.g. \\'hello\\' - This is a JS confirm, so \\n means new line.
$faqtxt{'43'} = "Close this window";
$faqtxt{'44'} = "<b>This is what the answers page will look like</b><br>Forum variables like \$mbname will not show correctly here as the JavaScript can't handle that. Variables you include will turn red to show that they will be replaced<br>This is a guide only- the answers page's apearance will be affected by your forum's stylesheet.";
$faqtxt{'45'} = "(HTML) Answers for";
$faqtxt{'46'} = "Contents of";
$faqtxt{'47'} = "Edit this contents section";
</add before>